/*
 * General Formatting
 */

html {
  overflow: hidden;
  height: 100%;
}

body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  height: 100%;
}
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #1E3250; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}
div {
  margin: 0;
  padding: 0;
}

/*
 * Sidebar
 */

.main-row {
  padding: 0;
}
.itemc{
 
 /* height: 330px;*/
 /* border: 1px solid #ddd;*/

}

.itemc-text{

  transition:  all .2s ease-in-out; 

}

.zoom:hover {
  transform: scale(1.5); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
}

.sidebar {
  /*padding: 20px;*/
  overflow-x: hidden;
  overflow-y: auto; 
/*  border-right: 1px solid #337ab7;*/
}

.nav-sidebar {
  margin-right: -21px; /* 20px padding + 1px border */
  margin-bottom: 20px;
  margin-left: -20px;
}
.nav-sidebar > li > a {
  padding-right: 20px;
  padding-left: 20px;
}
.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus {
  color: #fff;
  background-color: #428bca;
}

/*
 * Main content
 */

.main {
  padding: 0;
}

/*
 * "Loading" modal
 */

#loading-modal {
  position: absolute;
  z-index: 10;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  background-color: rgba(50, 50, 50, 0.9);
}

#loading-modal  h1 {
  text-align: center; 
  margin-top: 30%;
  color: #fff;
}

/*
 * Design
 */

#viewer {
  display: none;
}

#floorplanner {
  display: none;
}

#add-items {
  display: none;
  padding: 20px;
  overflow-y: auto; 
}

#main-controls {
  position: absolute;
  top: 20px;
  left: 20px;
  padding: 0;  
}

#camera-controls {
  position: absolute;
  bottom: 20px;
  right: 0;
  padding: 0 20px;  
  text-align: right;
}

#floorplanner-controls {
  position: absolute;
  left: 0;
  top: 0;
  margin: 20px 0;
  padding: 0 20px; 
  width: 100%;
}


#zoom-plan {
  -webkit-appearance: none;
  width: 100%;
  height: 25px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

#zoom-plan:hover {
  opacity: 1;
}

#zoom-plan::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: #428bca;
  cursor: pointer;
}

#zoom-plan::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #428bca;
  cursor: pointer;
}

.zoom-lsc {
  position: absolute;
  right: 30px;
  bottom: 20px;
 
  z-index: 10;
 
}
#draw-walls-hint {
  position: absolute;
  left: 20px;
  bottom: 20px;
  background-color: rgba(0, 0, 0, 0.50);
  color: #ffffff;
  padding: 5px 10px;
  z-index: 10;
  display: none;
}
#draw-walls-hint3 {
  position: absolute;
  left: 20px;
  bottom: 20px;
  background-color: rgba(0, 0, 0, 0.50);
  color: #ffffff;
  padding: 5px 10px;
  z-index: 10;
  display: none;
}
#draw-walls-hint2 {
  position: absolute;
  left: 20px;
  top: 20px;
  background-color: rgba(0, 0, 0, 0.50);
  color: #ffffff;
  padding: 5px 10px;
  z-index: 10;
  display: none;
}
.add-item {
  cursor: pointer;
 text-align: center;
 line-height: 5em;
 font-weight: 600;

}

.btn-file {
  display: inline-block;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}

.btn-file input[type=file] {
  position: absolute;
  top: 0;
  right: 0;
  min-width: 100%;
  min-height: 100%;
  filter: alpha(opacity=0);
  opacity: 0;
  cursor: inherit;
  display: block;
}
